Logo of Obsolete repository (can safely be deleted)

Obsolete repository (can safely be deleted)

Obsolete repository - Can safely be deleted

Can safely be deleted

Add to Bundle




This addon is excluded

This addons is excluded from the Isengard repositories as the maintainer marked it as broken.

The reason given is: This repo has now been deleted by the developer, you can find twinthers work on the official Kodi repo

About SuperRepo and Obsolete repository (can safely be deleted)

SuperRepo does not maintain Obsolete repository (can safely be deleted). We only provide an automated index for Kodi users to have easy access to Obsolete repository (can safely be deleted) and other addons for Kodi. We are not affiliated with the developers (Obsolete) and do not provide help for this particular addon.

Rendered at Monday 27th of May 2024 07:21:02 AM